using System.Collections;
using System.Collections.Generic;
using UnityEngine;

public class SoundManager : MonoBehaviour
{
    public AudioSource creakySource;
    public AudioSource loseSound;

    public static SoundManager instance;

    public AudioClip mainSong;
    public AudioSource background;

    public void StartMainSong()
    {
        background.Stop();
        background.clip = mainSong;
        background.Play();
    }

    private void Awake()
    {
        instance = this;
    }

    public void Lose()
    {
        loseSound.Play();
    }

    public void Creak()
    {
        Debug.Log("Creak!");
        creakySource.Play();
    }

    public void StopCreak()
    {
        Debug.Log("Uncreak!");
        creakySource.Stop();
    }

}
